% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fW.Demeter.R
\name{fW.Demeter}
\alias{fW.Demeter}
\title{Effects of moisture on decomposition rates according to the DEMETER model}
\usage{
fW.Demeter(M, Msat = 100)
}
\arguments{
\item{M}{A scalar or vector containing values of soil moisture for which the
effects on decomposition rates are calculated.}

\item{Msat}{A scalar representing saturated soil moisture.}
}
\value{
A scalar or a vector containing the effects of moisture on
decomposition rates (unitless).
}
\description{
Calculates the effects of soil moisture on decomposition rates according to
the DEMETER model.
}
\references{
Foley, J. A. (1995), An equilibrium model of the terrestrial
carbon budget, Tellus B, 47(3), 310-319.
}
