% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fW.Gompertz.R
\name{fW.Gompertz}
\alias{fW.Gompertz}
\title{Effects of moisture on decomposition rates according to the Gompertz
function}
\usage{
fW.Gompertz(theta, a = 0.824, b = 0.308)
}
\arguments{
\item{theta}{A scalar or vector containing values of volumetric soil water
content.}

\item{a}{Empirical parameter}

\item{b}{Empirical parameter}
}
\description{
Calculates the effects of water content on decomposition rates.
}
\references{
I. Janssens, S. Dore, D. Epron, H. Lankreijer, N. Buchmann, B.
Longdoz, J. Brossaud, L. Montagnani. 2003. Climatic Influences on Seasonal
and Spatial Differences in Soil CO2 Efflux. In Valentini, R. (Ed.) Fluxes of
Carbon, Water and Energy of European Forests. pp 235-253. Springer.
}
